Package org.opencv.core

## Class TickMeter

- java.lang.Object
- - org.opencv.core.TickMeter

-     public class TickMeter
      extends java.lang.Object

  a Class to measure passing time. The class computes passing time by counting the number of ticks per second. That is, the following code computes the execution time in seconds: SNIPPET: snippets/core_various.cpp TickMeter_total It is also possible to compute the average time over multiple runs: SNIPPET: snippets/core_various.cpp TickMeter_average SEE: getTickCount, getTickFrequency

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `TickMeter()` |
    `protected` | `TickMeter​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TickMeter` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `double` | `getAvgTimeMilli()` |
    `double` | `getAvgTimeSec()` |
    `long` | `getCounter()` |
    `double` | `getFPS()` |
    `double` | `getLastTimeMicro()` |
    `double` | `getLastTimeMilli()` |
    `double` | `getLastTimeSec()` |
    `long` | `getLastTimeTicks()` |
    `long` | `getNativeObjAddr()` |
    `double` | `getTimeMicro()` |
    `double` | `getTimeMilli()` |
    `double` | `getTimeSec()` |
    `long` | `getTimeTicks()` |
    `void` | `reset()` |
    `void` | `start()` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### TickMeter

          protected TickMeter​(long addr)

    - #### TickMeter

          public TickMeter()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static TickMeter __fromPtr__​(long addr)

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### getTimeTicks

          public long getTimeTicks()

    - #### getTimeMicro

          public double getTimeMicro()

    - #### getTimeMilli

          public double getTimeMilli()

    - #### getTimeSec

          public double getTimeSec()

    - #### getLastTimeTicks

          public long getLastTimeTicks()

    - #### getLastTimeMicro

          public double getLastTimeMicro()

    - #### getLastTimeMilli

          public double getLastTimeMilli()

    - #### getLastTimeSec

          public double getLastTimeSec()

    - #### getCounter

          public long getCounter()

    - #### getFPS

          public double getFPS()

    - #### getAvgTimeSec

          public double getAvgTimeSec()

    - #### getAvgTimeMilli

          public double getAvgTimeMilli()

    - #### reset

          public void reset()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`